[2.0.0 Beta 1] [Linux] Game crashes on startup

Discussion in 'Bug Reports' started by _Q3, Aug 28, 2015.

  1. _Q3

    _Q3 Noob

    I followed the install guide but...
    What happens is that starts the video, then it goes to the loading screen (Medic, Heavy, Spy) and a short while later it closes/crashes.
    If someone could help me, that would be nice.

    The TF2C version 1.9.0

    System info:
    OS: Arch Linux
    Kernel: x86_64 Linux 4.1.6-1-ARCH
    WM: i3
    CPU: Intel Core i7-2637 CPU @ 2.8GHz
    RAM: 3808MiB

    This is the console.log with the -condebug launch flag.

    Notes: TF2/HL1/CSS works just fine.
               Some steam runtime libraries are deleted to get steam working, info here. But I highly doubt this is the issue

    EDIT: new error, "Could not load library client. Try restarting. If that doesn't work, verify the cache."
     
  2. Are you running the game through Wine? As far as I know there is no native linux support with 1.9.0.
     
  3. _Q3

    _Q3 Noob

    I'm not running the game through Wine. But I don't know why it shouldn't work, source was ported ages ago. And it's not that the game immediately crashes.
    Well, hopefully the devs can make a native linux version.
     
  4. face2face

    face2face Noob

    Similar problem here, crashes on loading screen with message "Could not load library client. Try restarting. If that doesn't work, verify the cache."
    TF2C version 2.0.0b1

    Distro: Arch Linux
    Kernel: 4.1.6-1-ARCH
    Window Manager: i3
    CPU: Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz
    RAM: 8GB

    all other source games work fine, im pretty sure tf2c just doesnt work on linux yet
     
  5. _Q3

    _Q3 Noob

    The 1.9.0 issue is different then the 2.0.0b1 issue.
    A little reaserching I found that the "Could not load library client. Try restarting. If that doesn't work, verify the cache." Engine error might have something to do with Steam runtime libraries being deleted to get Arch Linux working. So it might work on Ubuntu 12.04+, but I don't have Ubuntu so I cannot confirm.
    Also the devs said in the 2.0.0b1 announcement that [font=Arial, Verdana]"This patch is currently Windows only but we're looking into compiling for Linux." which is nice.
    [/font]
     
  6. madn3ss

    madn3ss Noob

    I also getting the same error as face2face, running 2.0.0b with Linux Mint.
     
  7. lolzvid

    lolzvid Noob

    Do you guys have the "upcoming" option enabled on the Source SDK?

    That might be the problem, if it is the case.
     
  8. AlphaSteam

    AlphaSteam Noob

    No , the problem is that theres no script for linux yet , you can only run it throught wine , thats what i am doing right now and it runs perfect
     
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice